Bug 126970 - lock_gulmd seg faults if given invalid server name
lock_gulmd seg faults if given invalid server name
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: michael conrad tadpol tilstra
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-29 17:29 EDT by Corey Marthaler
Modified: 2010-01-11 21:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 17:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-06-29 17:29:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
[root@morph-01 root]# lock_gulmd -s morph-foo,morph-03,morph-05
Segmentation fault


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see above

Additional info:
Comment 1 michael conrad tadpol tilstra 2004-07-09 12:29:59 EDT
fixed.
ifelseifelseifelse doesn't work when you leave out the elses.
Comment 2 Corey Marthaler 2004-09-02 18:09:51 EDT
Lock_gulm asserts now:

[root@morph-02 root]# lock_gulmd -s morph-foo,morph-03,morph-05
I cannot find the name for ip "morph-foo".
gf->node_cnt = 0
In src/config_main.c:332 (DEVEL.1093621899) death by:
ASSERTION FAILED: gf->node_cnt > 0 && gf->node_cnt < 5 && gf->node_cnt
!= 2
I cannot find the name for ip "morph-foo".
gf->node_cnt = 0
In src/config_main.c:332 (DEVEL.1093621899) death by:
ASSERTION FAILED: gf->node_cnt > 0 && gf->node_cnt < 5 && gf->node_cnt
!= 2
[root@morph-02 root]# I cannot find the name for ip "morph-foo".
gf->node_cnt = 0
In src/config_main.c:332 (DEVEL.1093621899) death by:
ASSERTION FAILED: gf->node_cnt > 0 && gf->node_cnt < 5 && gf->node_cnt
!= 2
Comment 3 michael conrad tadpol tilstra 2004-09-08 14:56:58 EDT
which is technically correct, but I prettied it up anyways.  cvs up &&
make, better?
Comment 4 Corey Marthaler 2004-09-08 17:58:42 EDT
better.  
 
However... :)  
It could be even better if the cmdline parsing also happened before 
the forking of core, LT, and LTPX in main_main.c and if  
parse_cmdline_servers returned an error (for invalid node, null 
server list...). That way it could be checked and could exit right 
away before daemonizing and then the user would have the exit code 
and error right away instead of getting it at random times from the  
three existing daemons.    
Comment 5 michael conrad tadpol tilstra 2004-09-13 18:10:02 EDT
should have this now. give'er'a'go.
Comment 6 Corey Marthaler 2004-09-14 17:54:09 EDT
I like it. :) 

Note You need to log in before you can comment on or make changes to this bug.